Users
List
Returns the Users who belong to this workspace, each with their workspace membership (role and status), their groups and their language, active and deactivated alike.
Filtering, searching and sorting run in memory over the whole member list, 100 per page ordered by id ascending by default.
GET
/api/{tenant:minlength(2)}/v{version:apiVersion}/users
- Authorisation
- Minimum role: USER
Request arguments
Request body example
Response
- Status
- 200 (OK)
- Type
- DTO_user[]
- Wrapper
- DTO_response_wrap_get_many
- Other statuses
- 400 (BadRequest), 403 (Forbidden)
Response body example
DTO_standard_filter
| Name | Type | ReadOnly | Description |
| sort_by_key | String | | Sort by key |
| response_field_keys | String[] | | Only return the fields specified |
| filters | String[] | | Each string needs to be structured: filters=field_key:operator:value1|value2|value3
Only used to store filters for passing along as querystring |
| include_aggregations | Boolean | | Include aggregations |
| include_imported | Boolean | | Include imported |
| search | String | | Search |
| sort_order | ENUM sort_order | | Sort order |
| take | Int32 | | Take |
| page | Int32 | | Page |
DTO_user
| Name | Type | ReadOnly | Description |
| tenant_user | DTO_tenant_user | | Tenant user |
| created_by | DTO_reference_user | ReadOnly | Created by |
| last_updated_by | DTO_reference_user | ReadOnly | Last updated by |
| language | DTO_translation_language | ReadOnly | Language |
| id | Int32 | ReadOnly | Id |
| email | String | | Email |
| given_name | String | | Given name |
| family_name | String | | Family name |
| full_name | String | ReadOnly | Name |
| profile_pic | String | ReadOnly | Profile pic |
| created | DateTime | ReadOnly | Created |
| last_updated | DateTime | ReadOnly | Last updated |
| display_absolute_time | Boolean | ReadOnly | Display absolute time |
DTO_reference_is_admin
| Name | Type | ReadOnly | Description |
| is_admin | Boolean | ReadOnly | Is admin |
| id | Int32 | | Id |
| label | Object | ReadOnly | Label |
DTO_notification_channel
| Name | Type | ReadOnly | Description |
| email | Boolean | | Email |
| inapp | Boolean | | Inapp |
DTO_reference_user
| Name | Type | ReadOnly | Description |
| profile_pic | String | ReadOnly | Profile pic |
| email | String | ReadOnly | Email |
| id | Int32 | | Id |
| label | Object | ReadOnly | Label |
DTO_translation_language
| Name | Type | ReadOnly | Description |
| id | Int32 | ReadOnly | Leave empty on input |
| name | String | | Name |
| code | String | | Code |
| icon | String | ReadOnly | Icon |
| icon_sqare | String | ReadOnly | Icon sqare |
ENUM tenant_user_role
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | OWNER | Owner |
| 2 | ADMIN | Admin |
| 3 | USER | User |
ENUM tenant_user_status
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | ACTIVE | ACTIVE |
| 2 | DEACTIVE | DEACTIVE |
ENUM sort_order
| Value | Name | Description |
| 0 | ASC | ASC |
| 1 | DESC | DESC |
Generated Aug 4, 2026 18:37